ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.CmmToAsm.AArch64.Cond

# Documentation

data Cond Source #

Constructors

ALWAYS |
EQ |
NE |
SLT |
SLE |
SGE |
SGT |
ULT |
ULE |
UGE |
UGT |
OLT |
OLE |
OGE |
OGT |
UOLT |
UOLE |
UOGE |
UOGT |
NEVER |
VS |
VC |

#### Instances

Instances details

Eq Cond Source # |
Instance details Defined in GHC.CmmToAsm.AArch64.Cond Methods (==) :: Cond -> Cond -> Bool # (/=) :: Cond -> Cond -> Bool #